Mail archive
alpine-aports

[alpine-aports] [PATCH] h2o: enable mruby

From: Bennett Goble <nivardus_at_gmail.com>
Date: Sat, 18 Nov 2017 12:48:13 -0800

---
 community/h2o/APKBUILD | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)
diff --git a/community/h2o/APKBUILD b/community/h2o/APKBUILD
index 5f9292000d..e27330a078 100644
--- a/community/h2o/APKBUILD
+++ b/community/h2o/APKBUILD
_at_@ -2,13 +2,13 @@
 # Maintainer: Bennett Goble <nivardus_at_gmail.com>
 pkgname=h2o
 pkgver=2.2.3
-pkgrel=1
+pkgrel=2
 pkgdesc="An optimized HTTP/1, HTTP/2 server written in C"
 url="https://h2o.examp1e.net"
 arch="all"
 license="MIT"
 depends="perl"
-makedepends="cmake zlib-dev wslay-dev libressl-dev libuv-dev yaml-dev"
+makedepends="cmake ruby ruby-dev bison zlib-dev wslay-dev libressl-dev libuv-dev yaml-dev"
 install="$pkgname.pre-install"
 subpackages="$pkgname-dev $pkgname-doc"
 source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz
_at_@ -19,7 +19,12 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$
 _builddir="$srcdir/$pkgname-$pkgver"
 prepare() {
 	cd "$_builddir"
-	cmake -DBUILD_SHARED_LIBS=on -DCMAKE_INSTALL_PREFIX=/usr . || return 1
+	cmake \
+		-DBUILD_SHARED_LIBS=on \
+		-DCMAKE_INSTALL_LIBDIR=/usr/lib \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DWITH_MRUBY=on \
+		. || return 1
 }
 
 build() {
-- 
2.13.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Nov 18 2017 - 12:48:13 GMT